Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.capabilities
Class Content

    java.lang.Object
      org.deegree.ogcwebservices.wcts.capabilities.Content

    public class Content

extends Object

`Content` encapsulates the Content element of the WCTS_0.4.0 Capabilities document.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$

Constructor Summary
`Content(Map<String,Transformation> configuredTransforms, List<String> methods, List<CoordinateSystem> sourceCRSs, List<CoordinateSystem> targetCRSs, CoverageAbilities coverageAbilities, FeatureAbilities featureAbilities, List<Metadata> metadata, boolean userDefinedCRS, List<MetadataProfile<?>> transformMetadata)`

Method Summary
`protected String` | `createTransformationMDDescription(CoordinateSystem sourceCRS, CoordinateSystem targetCRS)` Create a description saying:`Transforming from sourceCRS.getIdentifer (sourceCRS.getName() ) to targetCRS.getIdentifer (targetCRS.getName() ) using the helmert transformation.`
`void` | `describeDefaultTransformations(String transformationPrefix)` Create the transformations and their MetaData for all source / target combinations, e.g. create identifiers for the default transformations of the crs package which is the usage of a wgs 84 pivot crs and the helmert transformation.
`CoverageAbilities` | `getCoverageAbilities()`
`FeatureAbilities` | `getFeatureAbilities()`
`List<Metadata>` | `getMetadata()`
`List<String>` | `getMethods()`
`List<CoordinateSystem>` | `getSourceCRSs()`
`List<CoordinateSystem>` | `getTargetCRSs()`
`Map<String,Transformation>` | `getTransformations()`
`List<MetadataProfile<?>>` | `getTransformMetadata()`
`boolean` | `supportsUserDefinedCRS()`
`void` | `updateFromProvider(String configuredProvider)` Uses the configured identifiers of the source and targets to create new (cached) coordinatesystems.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Content

    public Content(Map<String,Transformation> configuredTransforms,
                   List<String> methods,
                   List<CoordinateSystem> sourceCRSs,
                   List<CoordinateSystem> targetCRSs,
                   CoverageAbilities coverageAbilities,
                   FeatureAbilities featureAbilities,
                   List<Metadata> metadata,
                   boolean userDefinedCRS,
                   List<MetadataProfile<?>> transformMetadata)

Parameters:
  `configuredTransforms` - Unordered list of zero or more identifiers of well-known coordinate operations which the server can perform.
  `methods` - Unordered list of zero or more identifiers of well-known operation methods which the server can apply in user-defined coordinate Transformations and Conversions.
  `sourceCRSs` - Unordered list of one or more identifiers of well-known CRSs in which the server can accept sourceCRS values.
  `targetCRSs` - Unordered list of one or more identifiers of well-known CRSs in which the server can accept targetCRS values.
  `coverageAbilities` - Specifies coverage transformation abilities of WCTS server.
  `featureAbilities` - Specifies feature transformation abilities of WCTS server.
  `metadata` - Optional unordered list of additional metadata about the data served by this WCTS implementation. For example, this metadata could include more detailed definitions of the Methods, Transformations, and CRSs known to this server, perhaps in the form of a gml:Dictionary of such information.
  `userDefinedCRS` - Specifies if this server supports user-defined Coordinate Reference Systems (CRSs).
  `transformMetadata` -

Method Detail

### getTransformations

    public final Map<String,Transformation> getTransformations()

  Returns:
    the transformations.

### getMethods

    public final List<String> getMethods()

  Returns:
    the methods.

### getSourceCRSs

    public final List<CoordinateSystem> getSourceCRSs()

  Returns:
    the sourceCRSs.

### getTargetCRSs

    public final List<CoordinateSystem> getTargetCRSs()

  Returns:
    the targetCRSs.

### getCoverageAbilities

    public final CoverageAbilities getCoverageAbilities()

  Returns:
    the coverageAbilities.

### getFeatureAbilities

    public final FeatureAbilities getFeatureAbilities()

  Returns:
    the featureAbilities.

### getMetadata

    public final List<Metadata> getMetadata()

  Returns:
    the metadatas, may be empty but will never be `null`

### supportsUserDefinedCRS

    public final boolean supportsUserDefinedCRS()

  Returns:
    the userDefinedCRS.

### getTransformMetadata

    public final List<MetadataProfile<?>> getTransformMetadata()

  Returns:
    the transformMetadata elements.

### describeDefaultTransformations

    public void describeDefaultTransformations(String transformationPrefix)

  Create the transformations and their MetaData for all source / target combinations, e.g. create identifiers for the default transformations of the crs package which is the usage of a wgs 84 pivot crs and the helmert transformation.

  Parameters:
    `transformationPrefix` - to be used for the transformations

### createTransformationMDDescription

    protected String createTransformationMDDescription(CoordinateSystem sourceCRS,
                                                       CoordinateSystem targetCRS)

  Create a description saying:`Transforming from sourceCRS.getIdentifer (sourceCRS.getName() ) to targetCRS.getIdentifer (targetCRS.getName() ) using the helmert transformation.` if either the sourceCRS or the targetCRS are null the String "Transform using the helmert transformation." will be returned.

  Parameters:
    `sourceCRS` -
    `targetCRS` -
  Returns:
    a possible description for a Transformation Metadata.

### updateFromProvider

    public void updateFromProvider(String configuredProvider)

  Uses the configured identifiers of the source and targets to create new (cached) coordinatesystems.

  Parameters:
    `configuredProvider` - may be `null` to use the default crs provider.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org